Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_PSDL_Case Class Reference

**************************************************************** More...

`#include <PSDL_Node.h>`

Inheritance diagram for TAO_PSDL_Case:

[legend]
Collaboration diagram for TAO_PSDL_Case:

[legend]
List of all members.

## Public Methods

| TAO_PSDL_Case (TAO_PSDL_Node *case_label, TAO_PSDL_Node *element_spec)
| ****************************************************************
virtual | ~TAO_PSDL_Case (void)
TAO_PSDL_Node * | case_label (void) const
| Get the value.
TAO_PSDL_Node * | element_spec (void) const
int | accept (TAO_PSDL_Node_Visitor *visitor)
| = The Node methods.

## Private Attributes

TAO_PSDL_Node * | case_label_
| The values.
TAO_PSDL_Node * | element_spec_

## Detailed Description

****************************************************************

## Constructor & Destructor Documentation

TAO_PSDL_Case::TAO_PSDL_Case | ( | TAO_PSDL_Node * | case_label,
|  | TAO_PSDL_Node * | element_spec
| ) |

| ****************************************************************

TAO_PSDL_Case::~TAO_PSDL_Case | ( | void |  | ) | `[virtual]`

## Member Function Documentation

int TAO_PSDL_Case::accept | ( | TAO_PSDL_Node_Visitor * | visitor | ) | `[virtual]`

| = The Node methods. Implements TAO_PSDL_Node.

TAO_PSDL_Node * TAO_PSDL_Case::case_label | ( | void |  | ) | const

| Get the value.

TAO_PSDL_Node * TAO_PSDL_Case::element_spec | ( | void |  | ) | const

## Member Data Documentation

TAO_PSDL_Node* TAO_PSDL_Case::case_label_`[private]`

| The values.

TAO_PSDL_Node* TAO_PSDL_Case::element_spec_`[private]`

The documentation for this class was generated from the following files:

- PSDL_Node.h
- PSDL_Node.cpp